FROM python:3.13.5-alpine

WORKDIR /app

RUN apk update && apk add git ffmpeg

RUN git clone --depth 1 'https://github.com/yt-dlp/yt-dlp.git' /yt-dlp

COPY requirements.txt ./
RUN pip install --no-cache-dir -r requirements.txt

COPY . .

EXPOSE 5000
# CMD ["flask", "--app", "src.app", "run", "--debug", "--host=0.0.0.0"]
CMD ["python3", "src/app.py"]
# flask --app src.app run --host=0.0.0.0 --port=5001 --debug
